Package be.fgov.ehealth.etee.ra.revoke._1_0.protocol

# Enum Class StatusType

java.lang.Object
java.lang.Enum<StatusType>
be.fgov.ehealth.etee.ra.revoke._1_0.protocol.StatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<StatusType>`, `java.lang.constant.Constable`

public enum StatusType extends Enum<StatusType>

Java class for StatusType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="StatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="OK"/>
         <enumeration value="ERROR_AA"/>
         <enumeration value="ERROR_DAO"/>
         <enumeration value="ERROR_FEDICT"/>
         <enumeration value="ERROR_OTHER"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_AA`
  `ERROR_DAO`
  `ERROR_FEDICT`
  `ERROR_OTHER`
  `OK`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static StatusType`
  `fromValue(String v)`
  `String`
  `value()`
  `static StatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OK

    public static final StatusType OK

  - ### ERROR_AA

    public static final StatusType ERROR_AA

  - ### ERROR_DAO

    public static final StatusType ERROR_DAO

  - ### ERROR_FEDICT

    public static final StatusType ERROR_FEDICT

  - ### ERROR_OTHER

    public static final StatusType ERROR_OTHER

- ## Method Details

  - ### values

    public static StatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static StatusType fromValue(String v)